WSS(4)

NAME
wss - Windows Sound System hardware driver

SYNOPSIS
device wss0 at isa? port 0x530 irq 10 drq 0 drq2 1
device wss0 at isa? port 0x530 irq 10 drq 0 flags 1
audio* at wss?

DESCRIPTION
The wss driver supports Microsoft's Windows Sound System, MAD16 chip based hardware and their clones. The Windows Sound System is a half-duplex device.

The base I/O port is set by a jumper on the board; valid choices are 0x530, 0x604, 0xE80, or 0xF40. Both IRQ and DMA channels are software programmable. The IRQ may be set to 7, 9, 10, or 11, and the DMA channel may be set to 0, 1, or 3.

The configuration file must use a 1 flags specification to enable the MAD16 support. This is to avoid potential conflicts with other devices when probing the MAD16 because it requires use of extra I/O ports not in the base port range.

BUGS
The FM synthesizer is not supported.

SEE ALSO
audio(4), pss(4)